Create single-use hosted reveal session
curl --request POST \
--url https://business.planewallet.org/api/v1/cards/{id}/view-sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/cards/{id}/view-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/cards/{id}/view-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"url": "<string>",
"expiresIn": 120
}{
"statusCode": 123,
"message": "<string>"
}Cards
Create single-use hosted reveal session
Required permission: cards:read_sensitive. Sandbox is isolated from live funds. Live integration availability is checked server-side.
POST
/
api
/
v1
/
cards
/
{id}
/
view-sessions
Create single-use hosted reveal session
curl --request POST \
--url https://business.planewallet.org/api/v1/cards/{id}/view-sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/cards/{id}/view-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/cards/{id}/view-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"url": "<string>",
"expiresIn": 120
}{
"statusCode": 123,
"message": "<string>"
}